<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getProduct](./bitburner.warehouseapi.getproduct.md)

## WarehouseAPI.getProduct() method

Get product data.

**Signature:**

```typescript
getProduct(divisionName: string, cityName: CityName, productName: string): Product;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

cityName


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

productName


</td><td>

string


</td><td>

Name of the product


</td></tr>
</tbody></table>

**Returns:**

[Product](./bitburner.product.md)

Product data

## Remarks

RAM cost: 10 GB

